Dre4m Shell
Server IP : 127.0.0.2  /  Your IP : 18.116.10.73
Web Server : Apache/2.4.18 (Ubuntu)
System :
User : www-data ( )
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : disk_free_space,disk_total_space,diskfreespace,dl,exec,fpaththru,getmyuid,getmypid,highlight_file,ignore_user_abord,leak,listen,link,opcache_get_configuration,opcache_get_status,passthru,pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,php_uname,phpinfo,posix_ctermid,posix_getcwd,posix_getegid,posix_geteuid,posix_getgid,posix_getgrgid,posix_getgrnam,posix_getgroups,posix_getlogin,posix_getpgid,posix_getpgrp,posix_getpid,posix,_getppid,posix_getpwnam,posix_getpwuid,posix_getrlimit,posix_getsid,posix_getuid,posix_isatty,posix_kill,posix_mkfifo,posix_setegid,posix_seteuid,posix_setgid,posix_setpgid,posix_setsid,posix_setuid,posix_times,posix_ttyname,posix_uname,pclose,popen,proc_open,proc_close,proc_get_status,proc_nice,proc_terminate,shell_exec,source,show_source,system,virtual
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /lib/cryptsetup/scripts/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /lib/cryptsetup/scripts/decrypt_openct
#!/bin/sh

#check_reader() {
#    readerfound=0
#
#    readertmp=$(/usr/bin/openct-tool list 2>&1)
#    if [ $? = 0 ] ; then
#        readerfound=1
#    fi
#}

wait_reader() {
#    check_reader
    echo "Waiting for Smart Card reader..." >&2
    /usr/bin/openct-tool rwait >/dev/null 2>&1
    if [ $? != 0 ]; then
        echo 'Failed to find Smart Card reader!' >&2
    fi
#    if [ $readerfound = 0 ] ; then
#        tries=0
#        while [ $readerfound == 0 -a $tries -lt 60 ] ; do
#            echo "Waiting for Smart Card reader..." >&2
#            sleep 1
#            check_reader
#            tries=$(($tries + 1))
#        done
#        if [ $readerfound = 0 ] ; then
#            echo 'Failed to find Smart Card reader!' >&2
#            exit 1
#        fi
#    fi
}

wait_card() {
    echo "Waiting for Smart Card..." >&2
    /usr/bin/openct-tool wait >/dev/null 2>&1
    if [ $? != 0 ]; then
        echo 'Failed to find Smart Card!' >&2
    fi
}

/usr/sbin/openct-control init
wait_reader
wait_card

# Due to a bug in openct, the --label does not work on data objects, means,
# all data objects have by default the label 'pkcs15-init', that's why we are
# setting the label manually if none is configured by the user.

if [ -z "$1" ] || [ "$1" = "none" ] ; then
	LABEL="pkcs15-init"
else
	LABEL="$1"
fi

if [ -x /bin/plymouth ] && plymouth --ping; then
	# Get pin number from plymouth
	/usr/bin/pkcs15-tool --read-data-object $LABEL --pin "$(plymouth ask-for-password --prompt "Enter pin for $crypttarget ($cryptsource): ")" -o /proc/self/fd/3 3>&1 1>/dev/null 2>&1
else
	# Interactive call, user enters pin
	/usr/bin/pkcs15-tool --read-data-object $LABEL -o /proc/self/fd/3 3>&1 1>/dev/null 2>&1
fi

exit $?

Anon7 - 2022
AnonSec Team